<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$kp_modulos_estado_edit = new kp_modulos_estado_edit();

// Run the page
$kp_modulos_estado_edit->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$kp_modulos_estado_edit->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fkp_modulos_estadoedit, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "edit";
	fkp_modulos_estadoedit = currentForm = new ew.Form("fkp_modulos_estadoedit", "edit");

	// Validate form
	fkp_modulos_estadoedit.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($kp_modulos_estado_edit->idestado->Required) { ?>
				elm = this.getElements("x" + infix + "_idestado");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_modulos_estado_edit->idestado->caption(), $kp_modulos_estado_edit->idestado->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($kp_modulos_estado_edit->nomestado->Required) { ?>
				elm = this.getElements("x" + infix + "_nomestado");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_modulos_estado_edit->nomestado->caption(), $kp_modulos_estado_edit->nomestado->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($kp_modulos_estado_edit->estado->Required) { ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_modulos_estado_edit->estado->caption(), $kp_modulos_estado_edit->estado->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($kp_modulos_estado_edit->estado->errorMessage()) ?>");

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fkp_modulos_estadoedit.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fkp_modulos_estadoedit.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fkp_modulos_estadoedit");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $kp_modulos_estado_edit->showPageHeader(); ?>
<?php
$kp_modulos_estado_edit->showMessage();
?>
<form name="fkp_modulos_estadoedit" id="fkp_modulos_estadoedit" class="<?php echo $kp_modulos_estado_edit->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="kp_modulos_estado">
<input type="hidden" name="action" id="action" value="update">
<input type="hidden" name="modal" value="<?php echo (int)$kp_modulos_estado_edit->IsModal ?>">
<div class="ew-edit-div"><!-- page* -->
<?php if ($kp_modulos_estado_edit->idestado->Visible) { // idestado ?>
	<div id="r_idestado" class="form-group row">
		<label id="elh_kp_modulos_estado_idestado" class="<?php echo $kp_modulos_estado_edit->LeftColumnClass ?>"><?php echo $kp_modulos_estado_edit->idestado->caption() ?><?php echo $kp_modulos_estado_edit->idestado->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_modulos_estado_edit->RightColumnClass ?>"><div <?php echo $kp_modulos_estado_edit->idestado->cellAttributes() ?>>
<span id="el_kp_modulos_estado_idestado">
<span<?php echo $kp_modulos_estado_edit->idestado->viewAttributes() ?>><input type="text" readonly class="form-control-plaintext" value="<?php echo HtmlEncode(RemoveHtml($kp_modulos_estado_edit->idestado->EditValue)) ?>"></span>
</span>
<input type="hidden" data-table="kp_modulos_estado" data-field="x_idestado" name="x_idestado" id="x_idestado" value="<?php echo HtmlEncode($kp_modulos_estado_edit->idestado->CurrentValue) ?>">
<?php echo $kp_modulos_estado_edit->idestado->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_modulos_estado_edit->nomestado->Visible) { // nomestado ?>
	<div id="r_nomestado" class="form-group row">
		<label id="elh_kp_modulos_estado_nomestado" for="x_nomestado" class="<?php echo $kp_modulos_estado_edit->LeftColumnClass ?>"><?php echo $kp_modulos_estado_edit->nomestado->caption() ?><?php echo $kp_modulos_estado_edit->nomestado->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_modulos_estado_edit->RightColumnClass ?>"><div <?php echo $kp_modulos_estado_edit->nomestado->cellAttributes() ?>>
<span id="el_kp_modulos_estado_nomestado">
<input type="text" data-table="kp_modulos_estado" data-field="x_nomestado" name="x_nomestado" id="x_nomestado" size="30" maxlength="50" placeholder="<?php echo HtmlEncode($kp_modulos_estado_edit->nomestado->getPlaceHolder()) ?>" value="<?php echo $kp_modulos_estado_edit->nomestado->EditValue ?>"<?php echo $kp_modulos_estado_edit->nomestado->editAttributes() ?>>
</span>
<?php echo $kp_modulos_estado_edit->nomestado->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_modulos_estado_edit->estado->Visible) { // estado ?>
	<div id="r_estado" class="form-group row">
		<label id="elh_kp_modulos_estado_estado" for="x_estado" class="<?php echo $kp_modulos_estado_edit->LeftColumnClass ?>"><?php echo $kp_modulos_estado_edit->estado->caption() ?><?php echo $kp_modulos_estado_edit->estado->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_modulos_estado_edit->RightColumnClass ?>"><div <?php echo $kp_modulos_estado_edit->estado->cellAttributes() ?>>
<span id="el_kp_modulos_estado_estado">
<input type="text" data-table="kp_modulos_estado" data-field="x_estado" name="x_estado" id="x_estado" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($kp_modulos_estado_edit->estado->getPlaceHolder()) ?>" value="<?php echo $kp_modulos_estado_edit->estado->EditValue ?>"<?php echo $kp_modulos_estado_edit->estado->editAttributes() ?>>
</span>
<?php echo $kp_modulos_estado_edit->estado->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$kp_modulos_estado_edit->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $kp_modulos_estado_edit->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("SaveBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $kp_modulos_estado_edit->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$kp_modulos_estado_edit->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$kp_modulos_estado_edit->terminate();
?>